Skip to main content
GET
Get a security role
A set of permissions that controls what members assigned to it can access in the workspace.

Authorizations

Authorization
string
header
required

An API key created in Settings > API Keys. Each key is either Read-Only or Full Access, chosen when the key is created. A Read-Only key can only make GET requests; POST, PATCH, and DELETE requests made with it return a 403 with the message This API key is read-only.

Path Parameters

id
string
required

The security role uuid.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the security role.

description
string | null

A description of the security role. null when no description is set.

isActive
boolean

Whether the security role is active.

isDefault
boolean

Whether this is the default security role assigned to newly invited members.

createdAt
string<date-time>

The timestamp when the object was created.

modifiedAt
string<date-time>

The timestamp when the object was last modified.